# EDIT IN SVN NOT IN SOURCE PACKAGE (NO PATCH ALLOWED).

%define lib_major 0.12
%define lib_minor 7
%define lib_name %mklibname %{name} %{lib_major}
%define develname %mklibname %name -d

%define build_diet 1

Name:    	ldetect
Version: 	%{lib_major}.%{lib_minor}
Release: 	%mkrel 5
Summary: 	Light hardware detection tool
Source: 	%{name}-%{version}.tar.xz
License:    GPL
Group: 		System/Kernel and hardware
URL:	    http://gitweb.mageia.org/software/ldetect/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

Patch0:   ldetect-0.12.7-fixes.patch

BuildRequires:	usbutils
BuildRequires:	pciutils-devel
BuildRequires:	zlib-devel
BuildRequires:	kmod-devel
%if %{build_diet}
BuildRequires: dietlibc-devel
%endif
Obsoletes:  %name < %version
Provides:   %{lib_name} = %version-%release

#temporary to allow updating
Provides: libldetect.so.0.11()(64bit)

%description 
The hardware device lists provided by this package are used as lookup 
table to get hardware autodetection


%package devel
Summary: Development package for ldetect
Requires: %{name} = %{version}
Provides: ldetect-devel = %version, libldetect-devel = %version
Obsoletes: ldetect-devel
Group: Development/Libraries
Obsoletes: libldetect-devel
Provides: libldetect-devel = %version-%release

%description devel
see %name

%prep
%setup -q
%apply_patches

%build
%if %{build_diet}
%make CFLAGS="-Os -D_BSD_SOURCE -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE" CC="diet gcc" libldetect.a
cp libldetect.a libldetect-diet.a
make clean
%endif
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
%if %{build_diet}
install -d $RPM_BUILD_ROOT%{_prefix}/lib/dietlibc/lib-%{_arch}
install libldetect-diet.a $RPM_BUILD_ROOT%{_prefix}/lib/dietlibc/lib-%{_arch}/libldetect.a
%endif

cd %{buildroot}%_libdir/
ln -sf %{lib_name} libldetect.so.0.11
cd ..

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS
%_bindir/*
%_libdir/*.so.*

%files devel
%defattr(-,root,root)
%doc ChangeLog
%_includedir/*
%_libdir/*.a
%if %{build_diet}
%{_prefix}/lib/dietlibc/lib-%{_arch}/libldetect.a
%endif
%_libdir/*.so


%changelog
* Sun Nov 21 2021 yodelu - 0.12.7-5pclos2021
- refiff patch (drop unused static lib)

* Sat Nov 20 2021 tex - 0.12.7-4pclos2021
- adjust cmake flags
- temp provide libldetect.so.0.11 for easy updating

* Sat Nov 20 2021 yodelu 0.12.7-3pclos2021
- update 

* Sat May 24 2014 bb <bb> 0.11.2-2pclos2014
- adjust max devices to 300 in common.h file to avoid segfault
- use "/lib/modules" instead of MODULE_DIR in modalias.c file

* Mon May 19 2014 TerryN <terryn94 at gmail.com> 0.11.2-1pclos2014
- Fix detection of USB devices on kernels > 3.4

* Sun Apr 04 2010 johnny black <johnnyblack at inbox.com> 0.11.1-1pclos2010
- 0.11.1 and build against updated pciutils

* Sun Oct 25 2009 Texstar <texstar at gmail.com> 0.11.0-1pclos2010
- 0.11.0
- merge into 2 packages

